Subject: [Pce] WG Adoption of draft-li-pce-pcep-pmtu-05

From: Dhruv Dhody <[email-masked]>
Date: Mon, 28 Mar 2022 21:39:23 +0530

Hi WG,

This email begins the WG adoption poll for draft-li-pce-pcep-pmtu-05.

https://datatracker.ietf.org/doc/draft-li-pce-pcep-pmtu/

Should this draft be adopted by the PCE WG? Please state your reasons - Why
/ Why not? What needs to be fixed before or after adoption? Are you willing
to work on this draft? Review comments should be posted to the list.

Please respond by Monday 11th April 2022.

Thanks!
Dhruv & Julien

---

From: Fangsheng <[email-masked]>
Date: Tue, 29 Mar 2022 02:39:19 +0000

I support the adoption. Passing PMTU through PCEP is a very important extension for SR TE LSP.

From: Dhruv Dhody [mailto:[email-masked]]
Sent: Tuesday, March 29, 2022 12:09 AM
To: [email-masked]
Cc: [email-masked]
Subject: WG Adoption of draft-li-pce-pcep-pmtu-05

Hi WG,

Should this draft be adopted by the PCE WG? Please state your reasons - Why / Why not? What needs to be fixed before or after adoption? Are you willing to work on this draft? Review comments should be posted to the list.

Thanks!
Dhruv & Julien

---

From: "Aijun Wang" <[email-masked]>
Date: Tue, 29 Mar 2022 10:37:15 +0800

Hi, Dhruv:

I have read this document and support it adoption.

Some suggestions for the current contents are the followings:

1.     The proposal in this draft is easy to understand, It is better to simplify the “Introduction” part.

2.     There should be one section about “Procedures for the Path MTU calculation”, which can include the some contents in section 3.1, section 3.2, section 3.5

3.     Section 3.3 and 3.4 should be put in one independent section, such as “Application of the Path MTU Metric”?

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, March 29, 2022 12:09 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Pce] WG Adoption of draft-li-pce-pcep-pmtu-05

Hi WG,

Thanks!
Dhruv & Julien

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 29 Mar 2022 00:24:10 -0400

Hi Dhruv

I reviewed the draft and support WG adoption.

Should this draft be adopted by the PCE WG?

Yes

Please state your reasons - Why / Why not?

This documents PCEP PMTU extension is valuable for any operator deployments
of SR-MPLS or SRv6 and/or uses SR-TE and want to ensure that fragmentation
does not occur along the stateful path instantiated.

What needs to be fixed before or after adoption?

The document well written and to the point and is ready for adoption

Are you willing to work on this draft?

Yes I would be happy to collaborate on the draft

Review comments should be posted to the list.

Few comments for the authors below:

It maybe worthwhile to mention PMTUD path MTU discovery which allows a TCP
session to dynamically adjust the MSS for incoming and outgoing MSS.  As
this document utilizes PMTU which is based on the PMTUD concept which is
being carried in a new metric field in the PCEP report message I think for
clarity it would.

BGP uses TCP and by default most all vendor implementations have PMTUD
enabled by default on all BGP sessions.  Maybe worthwhile mentioning.

In the abstract I don’t understand this sentence.

Since the SR does not require signaling, the path maximum
transmission unit (MTU) information for SR path is not available.

I understand SR eliminates the control plane signaling for label
distribution LDP which is now via IGP extension, but how does that make it
so the SR MTU information is not available.  Directed LDP is for adjacency
nodes or targeted LDP for session protection for non directly connected
nodes.

RFC 5036 LDP does not support signaling for MTU.

RFC 7552 LDP updates for IPv6 also does not support signaling for MTU.

RFC 3988 is an experimental extension to support signaling for MTU.

I see RFC 3988 as a informational reference.

I think it would be good to mention what I stated above related to LDP not
providing any signaling for MTU and RFC 3988 as its experimental and not
standard track also not implemented by all vendors.

Section 3.5 mentions that path MTU adjustment can be made for primary or
TI-LFA local protection path.

I would think this can be used for SR-TE protected path instantiated by
stateful PCE but not for local protection.

Also would this draft be applicable to Non SR MPLS and GMPLS LDP signaling
RFC 3988 is experimental only so MPLS and GMPLS as well have a gap for MTU
signaling.  I do see you stated in the introduction.  You may want to state
the gap that exists as RFC 3988 is experimental and now this solution fills
that gap as well.

Thanks

Gyan

On Mon, Mar 28, 2022 at 12:10 PM Dhruv Dhody <[email-masked]> wrote:

> Should this draft be adopted by the PCE WG? Please state your reasons -
> Why / Why not? What needs to be fixed before or after adoption? Are you
> willing to work on this draft? Review comments should be posted to the list.
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Wed, 30 Mar 2022 03:51:23 +0000

Hi Chairs,

I’ve read this document and support its adoption.

And here are my replies to the questions:

Yes

PMTU is an important characteristic of the path, which needs to be considered in both path computation and path instantiation.

Since this extension is generic and applicable to both SR and non-SR paths, the description about SR related mechanisms in the introduction section may be simplified.

Yes, I am willing to review the future versions of this document.

Best regards,
Jie

From: Pce [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: Tuesday, March 29, 2022 12:09 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Pce] WG Adoption of draft-li-pce-pcep-pmtu-05

Hi WG,

Thanks!
Dhruv & Julien

---

From: "Yangfan(Fan,IP Standards)" <[email-masked]>
Date: Fri, 1 Apr 2022 01:58:45 +0000

Hi WG,

I support the adoption of this draft.
It provides a useful approach to carry path MTU in PCEP messages.

Regards,
Fan

Hi WG,

Thanks!
Dhruv & Julien

---

From: "Luc-Fabrice Ndifor Ngwa [ MTN Cameroon ]" <[email-masked]>
Date: Fri, 1 Apr 2022 06:23:50 +0000

Hi WG,
I support the adoption of this draft
As an operator, this a very important feature to have.

​Warm regards,
Luc-Fabrice
 
Ndifor
Specialist - IP Access and Data center
[email-masked]
T +237 677 55 02 13
Head Office: 360, Rue Drouot
​P.O. Box 15 574 Douala, Cameroon
T +237 679 00 90 90
 | mtn.cm
This email is confidential. If you have received it in error, you are on notice of its status. Please notify ​the ​​sender immediately by 
​reply email and then delete this message from your system. Please do not copy it ​or use it for any purpose or disclose its content 
​to any other person as to do so could be a breach of ​confidentiality.
​
 Please be informed that no employee or agent is authorized to conclude any legally binding agreement ​on behalf of MTN Cameroon
​via email. This can be only done if the email is confirmed explicitly in writing ​by an MTN Cameroon authorized officer. In no event 
​will this email or its content be construed as a written ​approval.
From: Dhruv Dhody <[email-masked]>
Sent: Monday, March 28, 2022 5:09 PM
To: [email-masked]
Cc: [email-masked]
Subject: WG Adoption of draft-li-pce-pcep-pmtu-05

Hi WG,

Thanks!
Dhruv & Julien